package com.mytest.rest;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;


import com.mytest.rest.model.MyObject;
import com.mytest.rest.model.MyObjectContainer;

@Path("/context")
public class ContextResource {
	private final static String MEDIA_TYPE = "application/vnd.mtp.context.v1+json";
		
	@GET
	@Produces(MEDIA_TYPE)
	public MyObjectContainer getContext() {
		MyObjectContainer mycont = new MyObjectContainer();
		MyObject my = new MyObject();
		mycont.setId(1L);
		my.setLastName("Doe");
		my.setFirstName("John");
		mycont.setMy(my);
		return mycont;
	}
}
